Subject: Re: [AVT] Multiple Description / Layered video coding, draft-vitali-ietf-avt-mdc-lc-00.txt

From: Colin Perkins <[email-masked]>
Date: Tue, 6 Sep 2005 15:51:02 +0100

Andrea,

On 19 Jul 2005, at 13:45, Andrea Lorenzo VITALI wrote:
> We have recently submitted a new internet draft on Standard- 
> compatible Multiple Description and Layered video coding (MDC/LC).  
> The goal is to allow a graceful degradation of the application  
> quality with increasing packet loss rate and decreasing bandwidth/ 
> throughput on the network.
>
> You can find the draft at:
>   ftp://ftp.ietf.org/internet-drafts/draft-vitali-ietf-avt-mdc- 
> lc-00.txt
>
> In the proposed scheme, descriptions/layers are created and merged  
> in the pixel
> domain as follows:
>
>
>            +--> filter     --> enc/dec --> upsampler -->+
>            |    & downsampler              & filter     |
>            |                                            |
>   video -->o--> filter     --> enc/dec --> upsampler -->sum --> video
>   input    :    & downsampler              & filter     :       output
>            :                                            :
>            +---> ...       --> ...     --> ...       -->+
>
>
> This scheme covers video balanced MD, unbalanced MD, wavelet  
> layered decomposition, etc. Audio is still an open issue.
>
> In the draft we propose to use SDP to describe how descriptions/ 
> layers are
> created and how they can be merged.
>
> Descriptions/layers are compressed using existing codecs: MPEG-2, H. 
> 264...
> Bitstreams are sent according to existing standards, i.e. the usual  
> RTP/UDP.
>
> We are looking forward to hearing feedbacks on this.

A few high-level points on the use of SDP:

  - Using unregistered "X-" attributes is deprecated in SDP. All  
attributes
    must be registered.

  - This seems to be grouping streams, but doesn't seem to use the  
grouping
    framework for SDP. I would recommend that you use this framework,  
since
    it provides well defined grouping semantics.

Aside from that, it seems that the description of the attributes is  
not yet complete, so it's difficult to comment further.

Colin

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Andrea Lorenzo VITALI <[email-masked]>
Date: Wed, 07 Sep 2005 15:28:52 +0200

>>   ftp://ftp.ietf.org/internet-drafts/draft-vitali-ietf-avt-mdc- lc-00.txt
>>
>> In the proposed scheme, descriptions/layers are created and merged  in 
>> the pixel domain as follows:
>>
>>
:
>  - Using unregistered "X-" attributes is deprecated in SDP. All  attributes
>    must be registered.

We are aware of that. Our intention is to get feedback in order to select the 
smallest set of essential attributes. Then, we will register them.

>  - This seems to be grouping streams, but doesn't seem to use the  grouping
>    framework for SDP. I would recommend that you use this framework,  since

RFC-3388 can indeed be used to group layers/descriptions. However this is not 
compliant with FID semantic as it is defined in paragraph 7.4:

    It is assumed that the application uses only one codec at a time to
    encode the media produced.  This codec MAY change dynamically during
    the session, but at any particular moment only one codec is in use.
    :

On the opposite, in our scheme, codecs are used in parallel.

The use of the grouping framework for descriptions/layers is explicitly 
forbidden in paragraph 7.5 "Scenarios that FID does not Cover", subparagraph 7.5.1:

    An application that encodes the same media using different
    codecs simultaneously MUST NOT use FID to group those media lines.
    :

Balanced descriptions fall in this category: they can be considered as parallel 
encoding of the same information (actually they contains slightly different 
information).

Also, subparagraph 7.5.2 forbis the use of the framework to group layers:

    ..., FID MUST NOT be used to group "m" lines
    that contain the different layers of layered encoding scheme.
    :

> Aside from that, it seems that the description of the attributes is  not 
> yet complete, so it's difficult to comment further.

We would like to stimulate the discussion on this topic.

There are two set of attributes. Only one of them is needed. The user can choose 
to describe 1) the filterbank used to create descriptions or 2) the filterbank 
that is to be used to merge descriptions. The latter can also be derived from 
the former.

It would be easier to allow only the specification of the filterbank used to 
create descriptions. In this case, the receiver will take care of how to best 
merge successfully received descriptions/layers. Implementations can 
differentiate on this. On the opposite, if the merge filterbank is fully 
specified, there's no added value in differentiating the implementations.

Also, it would be useful to specialize the proposed scheme by giving precedence 
to the most used schemes (2 descriptions by separating odd/even lines, 4 
descriptions).

Regards,

   Andrea

-- 
  ______________________________________________________________

   Andrea VITALI                            [email-masked]

   tel (+39) 039 603 7244             mobile (+39) 347 93 08 433
   fax (+39) 039 603 6129

   STMicroelectronics
   Centro Direzionale COLLEONI - Palazzo "DIALETTICA"
   20041 Agrate Brianza (MI) ITALY
  ______________________________________________________________